1. Sign up for news, events and more!

    You're currently visiting the official DarkRP Forums as a guest. Sign up now to participate in our community and we'll let you know when we have news.

IGNORE THIS POSTED IN WRONG SECTION SORRY

Discussion in 'Green Trashcan' started by Luke134, Apr 5, 2015.

Thread Status:
Not open for further replies.
  1. Luke134

    Luke134 New Member

    Since the new garrys mod update, my server has been outdated, so I had to update it which wasnt a problem, until I found out that I had to basically redo my whole server so I added the addons folder from the old server to the new one and downloaded the new update darkrp from this website, now everything else works apart from my custom jobs, it worked completely fine before the update, and it wont appear in my f4 menu and I cant do the command as it still wont work. I have recieved 2 LUA errors in my console shown here:

    There are 2 Lua problems!
    Please check your console for more information!
    [ERROR] A runtime error has occurred in "addons/darkrpmodification-master/lua/darkrp_customthings/jobs.lua" on line 17.
    The best help I can give you is this:

    Corrupt team: Fireman!
    The NeedToChangeFrom must be either an existing team or a table of existing teams

    Hints:
    - Is there a job here that doesn't exist (anymore)?

    The responsibility for this error lies with (the authors of) one (or more) of these files:
    1. addons/darkrpmodification-master/lua/darkrp_customthings/jobs.lua on line 17
    2. [C] on line -1
    3. gamemodes/darkrp/gamemode/libraries/simplerr.lua on line 412
    4. gamemodes/darkrp/gamemode/libraries/fn.lua on line 80
    5. gamemodes/darkrp/gamemode/libraries/modificationloader.lua on line 131
    6. gamemodes/darkrp/gamemode/libraries/modificationloader.lua on line 141
    7. addons/ulib/lua/ulib/shared/hook.lua on line 183
    8. gamemodes/darkrp/gamemode/init.lua on line 81
    ------- End of Simplerr error -------

    gamemodes/darkrp/gamemode/libraries/simplerr.lua:462: [ERROR] A runtime error has occurred in "addons/darkrpmodification-master/lua/darkrp_customthings/jobs.lua" on line 17.
    The best help I can give you is this:

    Corrupt team: Fireman!
    The NeedToChangeFrom must be either an existing team or a table of existing teams

    Hints:
    - Is there a job here that doesn't exist (anymore)?

    The responsibility for this error lies with (the authors of) one (or more) of these files:
    1. addons/darkrpmodification-master/lua/darkrp_customthings/jobs.lua on line 17
    2. [C] on line -1
    3. gamemodes/darkrp/gamemode/libraries/simplerr.lua on line 412
    4. gamemodes/darkrp/gamemode/libraries/fn.lua on line 80
    5. gamemodes/darkrp/gamemode/libraries/modificationloader.lua on line 131
    6. gamemodes/darkrp/gamemode/libraries/modificationloader.lua on line 141
    7. addons/ulib/lua/ulib/shared/hook.lua on line 183
    8. gamemodes/darkrp/gamemode/init.lua on line 81
    ------- End of Simplerr error -------

    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    So that is both of my LUA errors and they are both the same I swear, however i read the problem and saw that it says job fireman is corrupt? But I dont see how it is corrupt as nothing has changed apart from a server update and a darkrp update, even when I remove the job it goes to the next one and says it about the next one. I tried looking at the alternatives that it says, but tbh I dont know what I am looking for as I tried checking with the old server and half the files weren't their as that was the old darkrp update so new files have been added with the new darkrp update. Please help me ASAP??
     
Thread Status:
Not open for further replies.

Share This Page